[arch-commits] Commit in exo/repos (3 files)

Jan de Groot jgc at archlinux.org
Sun Jul 20 13:37:25 EDT 2008


    Date: Sunday, July 20, 2008 @ 13:37:25
  Author: jgc
Revision: 5759

Merged revisions 2-5758 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/exo/trunk

........
  r356 | aaron | 2008-04-18 22:56:27 +0000 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r5758 | jgc | 2008-07-20 17:37:11 +0000 (Sun, 20 Jul 2008) | 2 lines
  
  upgpkg: exo 0.3.4-2
      Makedepend on libnotify (FS#9893), remove call to update-desktop-database
........

Modified:
  exo/repos/extra-x86_64/	(properties)
  exo/repos/extra-x86_64/PKGBUILD
  exo/repos/extra-x86_64/exo.install

-------------+
 PKGBUILD    |   10 +++++-----
 exo.install |    7 -------
 2 files changed, 5 insertions(+), 12 deletions(-)


Property changes on: exo/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /exo/trunk:1
   + /exo/trunk:1-5758

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-07-20 17:37:11 UTC (rev 5758)
+++ extra-x86_64/PKGBUILD	2008-07-20 17:37:25 UTC (rev 5759)
@@ -4,14 +4,14 @@
 
 pkgname=exo
 pkgver=0.3.4
-pkgrel=1
+pkgrel=2
 pkgdesc="Extensions to Xfce by os-cillation"
 arch=(i686 x86_64)
 license=('GPL2' 'LGPL2')
 url="http://www.os-cillation.com/article.php?sid=40"
 groups=('xfce4')
-depends=('libxfce4util>=4.4.2' 'gtk2>=2.12.1' 'hal' 'perl-uri')
-makedepends=('pygtk>=2.12.0' 'pkgconfig' 'xfce-mcs-manager>=4.4.2')
+depends=('libxfce4util>=4.4.2' 'gtk2>=2.12.11' 'hal>=0.5.11' 'perl-uri')
+makedepends=('pygtk>=2.12.1' 'pkgconfig' 'xfce-mcs-manager>=4.4.2' 'libnotify')
 options=('!libtool')
 install=${pkgname}.install
 source=(http://www.xfce.org/archive/xfce-4.4.2/src/${pkgname}-${pkgver}.tar.bz2)
@@ -21,7 +21,7 @@
   cd ${startdir}/src/${pkgname}-${pkgver}
   ./configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib/xfce4 \
     --localstatedir=/var --disable-static \
-    --enable-mcs-plugin --enable-python
+    --enable-mcs-plugin --enable-python || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install
+  make DESTDIR=${startdir}/pkg install || return 1
 }

Modified: extra-x86_64/exo.install
===================================================================
--- extra-x86_64/exo.install	2008-07-20 17:37:11 UTC (rev 5758)
+++ extra-x86_64/exo.install	2008-07-20 17:37:25 UTC (rev 5759)
@@ -1,5 +1,4 @@
 post_install() {
-  update-desktop-database -q
   gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
 }
 
@@ -8,11 +7,5 @@
 }
 
 post_remove() {
-  update-desktop-database -q
   gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
 }
-
-op=$1
-shift
-
-$op $*





More information about the arch-commits mailing list